local x = Def.ActorFrame{
	Def.Quad{
		InitCommand=cmd(Center;zoomto,SCREEN_WIDTH,48;diffuse,color("#FFFFFF"));
		OnCommand=cmd(fadebottom,0.15;fadetop,0.15);
		OffCommand=cmd(accelerate,0.15;zoomy,0);
	};

	AutoText("frutiger")..{
		Text=THEME:GetString("ScreenProfileSave","Saving Profiles...");
		InitCommand=cmd(Center;diffuse,color("#000000");shadowlength,0);
		OffCommand=cmd(linear,0.15;diffusealpha,0);
	};
};

x[#x+1] = Def.Actor {
	BeginCommand=function(self)
		if SCREENMAN:GetTopScreen():HaveProfileToSave() then self:sleep(0.15); end;
		self:queuecommand("Load");
	end;
	LoadCommand=function() SCREENMAN:GetTopScreen():Continue(); end;
};

return x;